import { request } from '@/utils/request';
import type { addSysDto, delSysDto, getSysListDto } from '@/types/BiSysTem';

/**
 * @description 新增系统
 * @param addSysDto
 * @returns
 */
const addSys = (data: addSysDto) => {
  return request<any>('/bi-manager/sysInfo/addSys', 'POST', data);
};

/**
 * @description 删除系统
 * @param addSysDto
 * @returns
 */
const deleteSys = (data: delSysDto) => {
  return request<any>('/bi-manager/sysInfo/deleteSys', 'POST', data);
};

/**
 * @description 修改系统
 * @param addSysDto
 * @returns
 */
const editSys = (data: addSysDto) => {
  return request<any>('/bi-manager/sysInfo/editSys', 'POST', data);
};

/**
 * @description 查询系统
 * @param getSysListDto
 * @returns
 */
const getSysList = (data: getSysListDto) => {
  return request<any>('/bi-manager/sysInfo/getSysList', 'POST', data);
};

export default { addSys, deleteSys, editSys, getSysList };
